<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: share_this_admin.php
| Author: Fangree Productions
|Version: Share This V3.05
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";

if (!checkrights("SHP")||!defined("iAUTH")||$_GET['aid']!=iAUTH) {
	redirect("../index.php");
}
if (file_exists(INFUSIONS."share_this/locale/".$settings['locale'].".php")) {
	include INFUSIONS."share_this/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."share_this/locale/English.php";
}
include INFUSIONS."share_this/infusion_db.php";
add_to_title($locale['global_200'].$locale['sta010']);
// Boxover Javascript
echo "<script src='".INFUSIONS."share_this/includes/boxover.js' type='text/javascript'></script>\n";

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

    $stsettings = dbarray(dbquery("SELECT * FROM ".DB_SHARE_TABLE.""));
    $error = 0;

	$nenable=(isset($_POST['nenable']) && isNum($_POST['nenable'])) ? $_POST['nenable'] : "0";	
	$aenable=(isset($_POST['aenable']) && isNum($_POST['aenable'])) ? $_POST['aenable'] : "0";
	$cenable=(isset($_POST['cenable']) && isNum($_POST['cenable'])) ? $_POST['cenable'] : "0";
	$fenable=(isset($_POST['fenable']) && isNum($_POST['fenable'])) ? $_POST['fenable'] : "0";
	$fpenable=(isset($_POST['fpenable']) && isNum($_POST['fpenable'])) ? $_POST['fpenable'] : "0";
	$penable=(isset($_POST['penable']) && isNum($_POST['penable'])) ? $_POST['penable'] : "0";
	$uenable=(isset($_POST['uenable']) && isNum($_POST['uenable'])) ? $_POST['uenable'] : "0";
	$pdpenable=(isset($_POST['pdpenable']) && isNum($_POST['pdpenable'])) ? $_POST['pdpenable'] : "0";
	$varenable=(isset($_POST['varenable']) && isNum($_POST['varenable'])) ? $_POST['varenable'] : "0";
	
	$urenable=(isset($_POST['urenable']) && isNum($_POST['urenable'])) ? $_POST['urenable'] : "0";
	$bbenable=(isset($_POST['bbenable']) && isNum($_POST['bbenable'])) ? $_POST['bbenable'] : "0";
	$htenable=(isset($_POST['htenable']) && isNum($_POST['htenable'])) ? $_POST['htenable'] : "0";
    
	$ausername = trim(preg_replace("/ +/i", " ", @$_POST['ausername']));
	$adnenable=(isset($_POST['adnenable']) && isNum($_POST['adnenable'])) ? $_POST['adnenable'] : "0";
	$adaenable=(isset($_POST['adaenable']) && isNum($_POST['adaenable'])) ? $_POST['adaenable'] : "0";
	$adpenable=(isset($_POST['adpenable']) && isNum($_POST['adpenable'])) ? $_POST['adpenable'] : "0";
	$adfenable=(isset($_POST['adfenable']) && isNum($_POST['adfenable'])) ? $_POST['adfenable'] : "0";
	$adphenable=(isset($_POST['adphenable']) && isNum($_POST['adphenable'])) ? $_POST['adphenable'] : "0";
	$adprenable=(isset($_POST['adprenable']) && isNum($_POST['adprenable'])) ? $_POST['adprenable'] : "0";
	$advarenable=(isset($_POST['advarenable']) && isNum($_POST['advarenable'])) ? $_POST['advarenable'] : "0";
	
	$denable=(isset($_POST['denable']) && isNum($_POST['denable'])) ? $_POST['denable'] : "0";
	$faenable=(isset($_POST['faenable']) && isNum($_POST['faenable'])) ? $_POST['faenable'] : "0";
	$genable=(isset($_POST['genable']) && isNum($_POST['genable'])) ? $_POST['genable'] : "0";
	$gbenable=(isset($_POST['gbenable']) && isNum($_POST['gbenable'])) ? $_POST['gbenable'] : "0";
	$lenable=(isset($_POST['lenable']) && isNum($_POST['lenable'])) ? $_POST['lenable'] : "0";
	$renable=(isset($_POST['renable']) && isNum($_POST['renable'])) ? $_POST['renable'] : "0";
	$senable=(isset($_POST['senable']) && isNum($_POST['senable'])) ? $_POST['senable'] : "0";
	$teenable=(isset($_POST['teenable']) && isNum($_POST['teenable'])) ? $_POST['teenable'] : "0";
	$twenable=(isset($_POST['twenable']) && isNum($_POST['twenable'])) ? $_POST['twenable'] : "0";
	$benable=(isset($_POST['benable']) && isNum($_POST['benable'])) ? $_POST['benable'] : "0";
	$emenable=(isset($_POST['emenable']) && isNum($_POST['emenable'])) ? $_POST['emenable'] : "0";
	$favenable=(isset($_POST['favenable']) && isNum($_POST['favenable'])) ? $_POST['favenable'] : "0";
    $moenable=(isset($_POST['moenable']) && isNum($_POST['moenable'])) ? $_POST['moenable'] : "0";
	
	$flfaenable=(isset($_POST['flfaenable']) && isNum($_POST['flfaenable'])) ? $_POST['flfaenable'] : "0";
	$fllayout=(isset($_POST['fllayout']) && isNum($_POST['fllayout'])) ? $_POST['fllayout'] : "0";
	$fbwidth = trim(preg_replace("/ +/i", " ", @$_POST['fbwidth']));
	$flnenable=(isset($_POST['flnenable']) && isNum($_POST['flnenable'])) ? $_POST['flnenable'] : "0";
	$flaenable=(isset($_POST['flaenable']) && isNum($_POST['flaenable'])) ? $_POST['flaenable'] : "0";
	$flfenable=(isset($_POST['flfenable']) && isNum($_POST['flfenable'])) ? $_POST['flfenable'] : "0";
	$flphenable=(isset($_POST['flphenable']) && isNum($_POST['flphenable'])) ? $_POST['flphenable'] : "0";
	$flcenable=(isset($_POST['flcenable']) && isNum($_POST['flcenable'])) ? $_POST['flcenable'] : "0";
    $flprenable=(isset($_POST['flprenable']) && isNum($_POST['flprenable'])) ? $_POST['flprenable'] : "0";
    $flpdpenable=(isset($_POST['flpdpenable']) && isNum($_POST['flpdpenable'])) ? $_POST['flpdpenable'] : "0";
	$flvarenable=(isset($_POST['flvarenable']) && isNum($_POST['flvarenable'])) ? $_POST['flvarenable'] : "0";

    if (isset($_POST['savesettings'])) {
    $result = dbquery("UPDATE ".DB_SHARE_TABLE." SET
	nenable='$nenable', aenable='$aenable', cenable='$cenable', fenable='$fenable', fpenable='$fpenable',
	penable='$penable', uenable='$uenable', pdpenable='$pdpenable', varenable='$varenable', urenable='$urenable', bbenable='$bbenable', htenable='$htenable', ausername='$ausername', adnenable='$adnenable', adaenable='$adaenable', adpenable='$adpenable', adfenable='$adfenable', adphenable='$adphenable', adprenable='$adprenable', adpdpenable='$adpdpenable', advarenable='$advarenable', denable='$denable', 
	faenable='$faenable', genable='$genable', gbenable='$gbenable', lenable='$lenable', renable='$renable', senable='$senable',
	teenable='$teenable', twenable='$twenable', benable='$benable', emenable='$emenable', favenable='$favenable', moenable='$moenable', flfaenable='$flfaenable', fllayout='$fllayout', fbwidth='$fbwidth', flnenable='$flnenable', flaenable='$flaenable', flfenable='$flfenable', flphenable='$flphenable', flcenable='$flcenable', flprenable='$flprenable', flpdpenable='$flpdpenable', flvarenable='$flvarenable'
	");
	if (!$result) { $error = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

opentable($locale['sta001']);
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
//Share This Management Table
echo "<table cellpadding='0' cellspacing='0' width='60%' class='center'>\n<tr>\n";
echo"<center><div class='admin-message'>".$locale['sta020']."</div></center>\n";
echo"<center><div class='admin-message'>".$locale['sta002']."</div></center>\n";

//Share This News
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['sta003']."</td>\n";
echo "<td class='tbl' align='left'><select name='nenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['nenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['nenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Share This Article
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['sta004']."</td>\n";
echo "<td class='tbl' align='left'><select name='aenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['aenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['aenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Share This Custom Page
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['sta012']."</td>\n";
echo "<td class='tbl' align='left'><select name='cenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['cenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['cenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Share This Thread
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['sta005']."</td>\n";
echo "<td  class='tbl'align='left'><select name='fenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['fenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['fenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Share This Forum Post
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['sta006']."</td>\n";
echo "<td class='tbl' align='left'><select name='fpenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['fpenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['fpenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Share This Photo
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['sta007']."</td>\n";
echo "<td class='tbl' align='left'><select name='penable' class='textbox'>\n";
echo "<option value='1'".($stsettings['penable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['penable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Share This Profile
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['sta008']."</td>\n";
echo "<td class='tbl' align='left'><select name='uenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['uenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['uenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";

//Share This Pro Download Panel 
$result=dbquery("SELECT inf_folder FROM ".DB_INFUSIONS." WHERE inf_folder = 'pro_download_panel' ORDER BY inf_folder ASC ");
if (dbrows($result) ) {
echo "<tr><td width='60%' class='tbl' align='left' valign='top'>".$locale['sta008b']."</td>\n";
echo "<td class='tbl' align='left'><select name='pdpenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['pdpenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['pdpenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
}
echo "</tr>\n";

//Share This VArcade Panel 
$result=dbquery("SELECT inf_folder FROM ".DB_INFUSIONS." WHERE inf_folder = 'varcade' ORDER BY inf_folder ASC ");
if (dbrows($result) ) {
echo "<tr><td width='60%' class='tbl' align='left' valign='top'>".$locale['sta008c']."</td>\n";
echo "<td class='tbl' align='left'><select name='varenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['varenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['varenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
}

echo "</tr>\n";
echo"</table>";

//Share This Codes Table
echo "<table cellpadding='0' cellspacing='0' width='60%' class='center'>\n<tr>\n";
echo"<br />\n";

//Enable URL Code
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['sta016']."</td>\n";
echo "<td class='tbl' align='left'><select name='urenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['urenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($stsettings['urenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Enable BBCode
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['sta017']."</td>\n";
echo "<td class='tbl' align='left'><select name='bbenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['bbenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($stsettings['bbenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Enable HTML Code
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['sta018']."</td>\n";
echo "<td class='tbl' align='left'><select name='htenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['htenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($stsettings['htenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr></tr>\n";
echo "</table>\n";

//AddThis Management Table
echo "<table cellpadding='0' cellspacing='0' width='60%' class='center'>\n<tr>\n";
echo"<br /><center><div class='admin-message'>".$locale['sta014']."</div></center>\n";

//AddThis Username
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['sta021']."</td>\n";
echo "<td class='tbl' align='left'><input type='text' name='ausername' value='".$stsettings['ausername']."' maxlength='30' class='textbox' style='width:150px;' /></td>\n";
echo "</tr><tr>\n";

//AddThis News   Activation
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata015']."</td>\n";
echo "<td class='tbl' align='left'><select name='adnenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['adnenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['adnenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr><tr>\n";

//AddThis Article   Activation
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata016']."</td>\n";
echo "<td class='tbl' align='left'><select name='adaenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['adaenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['adaenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr><tr>\n";

//AddThis Page   Activation
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata020']."</td>\n";
echo "<td class='tbl' align='left'><select name='adpenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['adpenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['adpenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr><tr>\n";

//AddThis Thread   Activation
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata017']."</td>\n";
echo "<td class='tbl' align='left'><select name='adfenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['adfenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['adfenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr><tr>\n";

//AddThis Photo  Activation
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata018']."</td>\n";
echo "<td class='tbl' align='left'><select name='adphenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['adphenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['adphenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr><tr>\n";

//AddThis Profile  Activation
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata019']."</td>\n";
echo "<td class='tbl' align='left'><select name='adprenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['adprenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['adprenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";

//AddThis Pro Download Panel  Activation
$result=dbquery("SELECT inf_folder FROM ".DB_INFUSIONS." WHERE inf_folder = 'pro_download_panel' ORDER BY inf_folder ASC ");
if (dbrows($result) ) {
echo "<tr><td width='60%' class='tbl' align='left' valign='top'>".$locale['ata022']."</td>\n";
echo "<td class='tbl' align='left'><select name='adpdpenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['adpdpenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['adpdpenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
}
echo "</tr>\n";
//AddThis VArcade  Panel  Activation
$result=dbquery("SELECT inf_folder FROM ".DB_INFUSIONS." WHERE inf_folder = 'varcade' ORDER BY inf_folder ASC ");
if (dbrows($result) ) {
echo "<tr><td width='60%' class='tbl' align='left' valign='top'>".$locale['ata022b']."</td>\n";
echo "<td class='tbl' align='left'><select name='advarenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['advarenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['advarenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
}

echo "</tr>\n";
echo"</table>\n";

//AddThis Destination Management Table
echo "<table cellpadding='0' cellspacing='0' width='60%' class='center'>\n<tr>\n";
echo"<br />\n";

//Delicious
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata001']."</td>\n";
echo "<td class='tbl' align='left'><select name='denable' class='textbox'>\n";
echo "<option value='1'".($stsettings['denable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['denable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Facebook
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata002']."</td>\n";
echo "<td class='tbl' align='left'><select name='faenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['faenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['faenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Google
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata003']."</td>\n";
echo "<td class='tbl' align='left'><select name='genable' class='textbox'>\n";
echo "<option value='1'".($stsettings['genable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['genable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Google Buzz
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata021']."</td>\n";
echo "<td class='tbl' align='left'><select name='gbenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['gbenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['gbenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Live
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata004']."</td>\n";
echo "<td  class='tbl'align='left'><select name='lenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['lenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['lenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Redit
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata005']."</td>\n";
echo "<td class='tbl' align='left'><select name='renable' class='textbox'>\n";
echo "<option value='1'".($stsettings['renable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['renable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//StumbleUpon
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata006']."</td>\n";
echo "<td class='tbl' align='left'><select name='senable' class='textbox'>\n";
echo "<option value='1'".($stsettings['senable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['senable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//technorati
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata007']."</td>\n";
echo "<td class='tbl' align='left'><select name='teenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['teenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['teenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//TwittThis
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata008']."</td>\n";
echo "<td class='tbl' align='left'><select name='twenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['twenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['twenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Yahoo Buzz
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata009']."</td>\n";
echo "<td class='tbl' align='left'><select name='benable' class='textbox'>\n";
echo "<option value='1'".($stsettings['benable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['benable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Email
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata010']."</td>\n";
echo "<td class='tbl' align='left'><select name='emenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['emenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['emenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Favourites
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata011']."</td>\n";
echo "<td class='tbl' align='left'><select name='favenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['favenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['favenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n</tr><tr>\n";

//Show More
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ata012']."</td>\n";
echo "<td class='tbl' align='left'><select name='moenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['moenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['moenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n</tr><tr>\n";

echo "</table>\n";

//Facebook Like Button Styles Management Table
echo "<table cellpadding='0' cellspacing='0' width='60%' class='center'>\n<tr>\n";
echo"<center><div class='admin-message'>".$locale['fbl008']."</div></center>\n";

//Facebook Like  Button Show Faces
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['fbl010']."</td>\n";
echo "<td class='tbl' align='left'><select name='flfaenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['flfaenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['flfaenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr><tr>\n";

//Facebook Like  Button Layout
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['fbl015']."</td>\n";
echo "<td class='tbl' align='left'><select name='fllayout' class='textbox'>\n";
echo "<option value='1'".($stsettings['fllayout'] == "1" ? " selected='selected'" : "").">".$locale['fbl012']."</option>\n";
echo "<option value='0'".($stsettings['fllayout'] == "0" ? " selected='selected'" : "").">".$locale['fbl014']."</option>\n";
echo "</select></td>\n";
echo "</tr><tr>\n";

//Facebook Like Button  Width
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['fbl009']."</td>\n";
echo "<td class='tbl' align='left'><input type='text' name='fbwidth' value='".$stsettings['fbwidth']."' maxlength='3' class='textbox' style='width:48px;' /></td>\n";
echo "</tr>\n";

echo"</table>\n";

//Facebook Like Management Table
echo "<table cellpadding='0' cellspacing='0' width='60%' class='center'>\n<tr>\n";
//Facebook Like News   Activation
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['fbl002']."</td>\n";
echo "<td class='tbl' align='left'><select name='flnenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['flnenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['flnenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr><tr>\n";

//Facebook Like Article   Activation
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['fbl003']."</td>\n";
echo "<td class='tbl' align='left'><select name='flaenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['flaenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['flaenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr><tr>\n";

//Facebook Like Page   Activation
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['fbl006']."</td>\n";
echo "<td class='tbl' align='left'><select name='flcenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['flcenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['flcenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr><tr>\n";

//Facebook Like Thread   Activation
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['fbl004']."</td>\n";
echo "<td class='tbl' align='left'><select name='flfenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['flfenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['flfenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr><tr>\n";

//Facebook Like Photo  Activation
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['fbl005']."</td>\n";
echo "<td class='tbl' align='left'><select name='flphenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['flphenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['flphenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr><tr>\n";

//Facebook Like Profile  Activation
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['fbl007']."</td>\n";
echo "<td class='tbl' align='left'><select name='flprenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['flprenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['flprenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";

//Facebook Like Download (Pro Download Panel)  Activation
$result=dbquery("SELECT inf_folder FROM ".DB_INFUSIONS." WHERE inf_folder = 'pro_download_panel' ORDER BY inf_folder ASC ");
if (dbrows($result) ) {
echo "<tr><td width='60%' class='tbl' align='left' valign='top'>".$locale['fbl007b']."</td>\n";
echo "<td class='tbl' align='left'><select name='flpdpenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['flpdpenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['flpdpenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
}
echo "</tr>\n";

//Facebook Like Game (VArcade)  Activation
$result=dbquery("SELECT inf_folder FROM ".DB_INFUSIONS." WHERE inf_folder = 'varcade' ORDER BY inf_folder ASC ");
if (dbrows($result) ) {
echo "<tr><td width='60%' class='tbl' align='left' valign='top'>".$locale['fbl007c']."</td>\n";
echo "<td class='tbl' align='left'><select name='flvarenable' class='textbox'>\n";
echo "<option value='1'".($stsettings['flvarenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($stsettings['flvarenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
}
echo "</tr>\n";
echo"</table>\n";

//Save
echo "<table cellpadding='0' cellspacing='0' width='60%' class='center'>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl'>\n";
echo "<input type='submit' name='savesettings' value='".$locale['sta009']."' class='button' />\n";
echo "</td></tr>\n";
echo"</table>\n";
echo "</form>\n";

// Please do not remove copyright info
 include INFUSIONS."share_this/includes/copyright_func.php";
 echo "".showSTcopyright()."";
// End copyright info

closetable();

require_once THEMES."templates/footer.php";
?>